git: 4af9b830bfc0 - main - dns/unbound: Update to version 1.21.1
- Go to: [ bottom of page ] [ top of archives ] [ this month ]
Date: Sun, 06 Oct 2024 16:16:54 UTC
The branch main has been updated by fuz:
URL: https://cgit.FreeBSD.org/ports/commit/?id=4af9b830bfc0df17b05eee4247b637efa40b13bc
commit 4af9b830bfc0df17b05eee4247b637efa40b13bc
Author: Jaap Akkerhuis <jaap@NLnetLabs.nl>
AuthorDate: 2024-10-05 13:30:31 +0000
Commit: Robert Clausecker <fuz@FreeBSD.org>
CommitDate: 2024-10-06 16:16:21 +0000
dns/unbound: Update to version 1.21.1
- patch for users who use base OpenSSL
PR: 281894, 281804
Security: 2368755b-83f6-11ef-8d2e-a04a5edf46d9
Security: CVE-2024-8508
---
dns/unbound/Makefile | 2 +-
dns/unbound/distinfo | 6 +++---
dns/unbound/files/patch-smallapp_unbound-control-setup.sh.in | 11 +++++++++++
dns/unbound/pkg-plist | 2 +-
4 files changed, 16 insertions(+), 5 deletions(-)
diff --git a/dns/unbound/Makefile b/dns/unbound/Makefile
index ceac886c5b08..a32644d46e9e 100644
--- a/dns/unbound/Makefile
+++ b/dns/unbound/Makefile
@@ -1,5 +1,5 @@
PORTNAME= unbound
-DISTVERSION= 1.21.0
+DISTVERSION= 1.21.1
CATEGORIES= dns
MASTER_SITES= https://www.nlnetlabs.nl/downloads/unbound/
diff --git a/dns/unbound/distinfo b/dns/unbound/distinfo
index aeb29f2b55a5..65f62dbab05b 100644
--- a/dns/unbound/distinfo
+++ b/dns/unbound/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1723714724
-SHA256 (unbound-1.21.0.tar.gz) = e7dca7d6b0f81bdfa6fa64ebf1053b5a999a5ae9278a87ef182425067ea14521
-SIZE (unbound-1.21.0.tar.gz) = 6575675
+TIMESTAMP = 1727979122
+SHA256 (unbound-1.21.1.tar.gz) = 3036d23c23622b36d3c87e943117bdec1ac8f819636eb978d806416b0fa9ea46
+SIZE (unbound-1.21.1.tar.gz) = 6568258
diff --git a/dns/unbound/files/patch-smallapp_unbound-control-setup.sh.in b/dns/unbound/files/patch-smallapp_unbound-control-setup.sh.in
new file mode 100644
index 000000000000..f366b8adc040
--- /dev/null
+++ b/dns/unbound/files/patch-smallapp_unbound-control-setup.sh.in
@@ -0,0 +1,11 @@
+--- smallapp/unbound-control-setup.sh.in.orig 2024-10-03 12:44:59 UTC
++++ smallapp/unbound-control-setup.sh.in
+@@ -104,7 +104,7 @@ while getopts 'd:hr' arg; do
+ done
+ shift $((OPTIND - 1))
+
+-if ! openssl >/dev/null 2>&1; then
++if ! openssl version >/dev/null 2>&1; then
+ echo "$0 requires openssl to be installed for keys/certificates generation." >&2
+ exit 1
+ fi
diff --git a/dns/unbound/pkg-plist b/dns/unbound/pkg-plist
index c06171c0e1c7..6f1767b0ea55 100644
--- a/dns/unbound/pkg-plist
+++ b/dns/unbound/pkg-plist
@@ -5,7 +5,7 @@ libdata/pkgconfig/libunbound.pc
lib/libunbound.a
lib/libunbound.so
lib/libunbound.so.8
-lib/libunbound.so.8.1.28
+lib/libunbound.so.8.1.29
%%PYTHON%%%%PYTHON_SITELIBDIR%%/_unbound.so
%%PYTHON%%%%PYTHON_SITELIBDIR%%/unbound.py
%%PYTHON%%%%PYTHON_SITELIBDIR%%/unboundmodule.py